--- old/usr/src/uts/common/vm/seg_dev.c	2015-05-08 18:04:37.986119157 -0400
+++ new/usr/src/uts/common/vm/seg_dev.c	2015-05-08 18:04:37.993669112 -0400
@@ -183,7 +183,6 @@
 		    struct page ***, enum lock_type, enum seg_rw);
 static int	segdev_setpagesize(struct seg *, caddr_t, size_t, uint_t);
 static int	segdev_getmemid(struct seg *, caddr_t, memid_t *);
-static int	segdev_capable(struct seg *, segcapability_t);
 
 /*
  * XXX	this struct is used by rootnex_map_fault to identify
@@ -211,7 +210,6 @@
 	.pagelock	= segdev_pagelock,
 	.setpagesize	= segdev_setpagesize,
 	.getmemid	= segdev_getmemid,
-	.capable	= segdev_capable,
 };
 
 /*
@@ -4028,13 +4026,6 @@
 	return (0);
 }
 
-/*ARGSUSED*/
-static int
-segdev_capable(struct seg *seg, segcapability_t capability)
-{
-	return (0);
-}
-
 /*
  * ddi_umem_alloc() non-pageable quantum cache max size.
  * This is just a SWAG.
--- old/usr/src/uts/common/vm/seg_kp.c	2015-05-08 18:04:38.341314037 -0400
+++ new/usr/src/uts/common/vm/seg_kp.c	2015-05-08 18:04:38.348501981 -0400
@@ -94,7 +94,6 @@
 			size_t len, struct segkp_data *kpd, uint_t flags);
 static struct	segkp_data *segkp_find(struct seg *seg, caddr_t vaddr);
 static int	segkp_getmemid(struct seg *seg, caddr_t addr, memid_t *memidp);
-static int	segkp_capable(struct seg *seg, segcapability_t capability);
 
 /*
  * Lock used to protect the hash table(s) and caches.
@@ -147,7 +146,6 @@
 	.dump		= segkp_dump,
 	.pagelock	= segkp_pagelock,
 	.getmemid	= segkp_getmemid,
-	.capable	= segkp_capable,
 };
 
 
@@ -1370,13 +1368,6 @@
 	return (ENODEV);
 }
 
-/*ARGSUSED*/
-static int
-segkp_capable(struct seg *seg, segcapability_t capability)
-{
-	return (0);
-}
-
 #include <sys/mem_config.h>
 
 /*ARGSUSED*/
--- old/usr/src/uts/common/vm/seg_kpm.c	2015-05-08 18:04:38.588720981 -0400
+++ new/usr/src/uts/common/vm/seg_kpm.c	2015-05-08 18:04:38.595999203 -0400
@@ -106,13 +106,11 @@
 static int	segkpm_pagelock(struct seg *seg, caddr_t addr, size_t len,
 			struct page ***page, enum lock_type type,
 			enum seg_rw rw);
-static int	segkpm_capable(struct seg *, segcapability_t);
 
 static struct seg_ops segkpm_ops = {
 	.fault		= segkpm_fault,
 	.dump		= segkpm_dump,
 	.pagelock	= segkpm_pagelock,
-	.capable	= segkpm_capable,
 //#ifndef SEGKPM_SUPPORT
 #if 0
 #error FIXME: define nop
@@ -331,13 +329,3 @@
 segkpm_dump(struct seg *seg)
 {
 }
-
-/*
- * We claim to have no special capabilities.
- */
-/*ARGSUSED*/
-static int
-segkpm_capable(struct seg *seg, segcapability_t capability)
-{
-	return (0);
-}
--- old/usr/src/uts/common/vm/seg_map.c	2015-05-08 18:04:38.799078636 -0400
+++ new/usr/src/uts/common/vm/seg_map.c	2015-05-08 18:04:38.806571193 -0400
@@ -88,7 +88,6 @@
 			struct page ***ppp, enum lock_type type,
 			enum seg_rw rw);
 static int	segmap_getmemid(struct seg *seg, caddr_t addr, memid_t *memidp);
-static int	segmap_capable(struct seg *seg, segcapability_t capability);
 
 /* segkpm support */
 static caddr_t	segmap_pagecreate_kpm(struct seg *, vnode_t *, u_offset_t,
@@ -108,7 +107,6 @@
 	.dump		= segmap_dump,
 	.pagelock	= segmap_pagelock,
 	.getmemid	= segmap_getmemid,
-	.capable	= segmap_capable,
 };
 
 /*
@@ -2168,13 +2166,6 @@
 	return (0);
 }
 
-/*ARGSUSED*/
-static int
-segmap_capable(struct seg *seg, segcapability_t capability)
-{
-	return (0);
-}
-
 
 #ifdef	SEGKPM_SUPPORT
 
--- old/usr/src/uts/common/vm/seg_spt.c	2015-05-08 18:04:39.085697731 -0400
+++ new/usr/src/uts/common/vm/seg_spt.c	2015-05-08 18:04:39.093207990 -0400
@@ -112,7 +112,6 @@
 static int segspt_shmsetpgsz(struct seg *, caddr_t, size_t, uint_t);
 static int segspt_shmgetmemid(struct seg *, caddr_t, memid_t *);
 static lgrp_mem_policy_info_t *segspt_shmgetpolicy(struct seg *, caddr_t);
-static int segspt_shmcapable(struct seg *, segcapability_t);
 
 struct seg_ops segspt_shmops = {
 	.dup		= segspt_shmdup,
@@ -136,7 +135,6 @@
 	.setpagesize	= segspt_shmsetpgsz,
 	.getmemid	= segspt_shmgetmemid,
 	.getpolicy	= segspt_shmgetpolicy,
-	.capable	= segspt_shmcapable,
 };
 
 static void segspt_purge(struct seg *seg);
@@ -3047,10 +3045,3 @@
 
 	return (policy_info);
 }
-
-/*ARGSUSED*/
-static int
-segspt_shmcapable(struct seg *seg, segcapability_t capability)
-{
-	return (0);
-}
--- old/usr/src/uts/common/vm/seg_vn.c	2015-05-08 18:04:39.400839230 -0400
+++ new/usr/src/uts/common/vm/seg_vn.c	2015-05-08 18:04:39.408785651 -0400
@@ -133,7 +133,6 @@
 static int	segvn_getmemid(struct seg *seg, caddr_t addr,
 		    memid_t *memidp);
 static lgrp_mem_policy_info_t	*segvn_getpolicy(struct seg *, caddr_t);
-static int	segvn_capable(struct seg *seg, segcapability_t capable);
 static int	segvn_inherit(struct seg *, caddr_t, size_t, uint_t);
 
 struct	seg_ops segvn_ops = {
@@ -158,7 +157,6 @@
 	.setpagesize	= segvn_setpagesize,
 	.getmemid	= segvn_getmemid,
 	.getpolicy	= segvn_getpolicy,
-	.capable	= segvn_capable,
 	.inherit	= segvn_inherit,
 };
 
@@ -9485,13 +9483,6 @@
 	return (policy_info);
 }
 
-/*ARGSUSED*/
-static int
-segvn_capable(struct seg *seg, segcapability_t capability)
-{
-	return (0);
-}
-
 /*
  * Bind text vnode segment to an amp. If we bind successfully mappings will be
  * established to per vnode mapping per lgroup amp pages instead of to vnode
--- old/usr/src/uts/common/vm/vm_seg.c	2015-05-08 18:04:39.981525492 -0400
+++ new/usr/src/uts/common/vm/vm_seg.c	2015-05-08 18:04:39.989144512 -0400
@@ -2031,7 +2031,8 @@
 int
 segop_capable(struct seg *seg, segcapability_t cap)
 {
-	VERIFY3P(seg->s_ops->capable, !=, NULL);
+	if (seg->s_ops->capable == NULL)
+		return (0);
 
 	return (seg->s_ops->capable(seg, cap));
 }
--- old/usr/src/uts/i86xpv/vm/seg_mf.c	2015-05-08 18:04:40.253010338 -0400
+++ new/usr/src/uts/i86xpv/vm/seg_mf.c	2015-05-08 18:04:40.260253734 -0400
@@ -499,13 +499,6 @@
 	return (0);
 }
 
-/*ARGSUSED*/
-static int
-segmf_capable(struct seg *seg, segcapability_t capability)
-{
-	return (0);
-}
-
 /*
  * Add a set of contiguous foreign MFNs to the segment. soft-locking them.  The
  * pre-faulting is necessary due to live migration; in particular we must
@@ -771,5 +764,4 @@
 	.pagelock	= segmf_pagelock,
 	.setpagesize	= segmf_setpagesize,
 	.getmemid	= segmf_getmemid,
-	.capable	= segmf_capable,
 };
